Trusts
Get a trust
Retrieve a trust by ID
GET
/
v1
/
households
/
{household_id}
/
trusts
/
{id}
Get a trust
curl --request GET \
--url https://api.slant.app/v1/households/{household_id}/trusts/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.slant.app/v1/households/{household_id}/trusts/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.slant.app/v1/households/{household_id}/trusts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "abc123xyz",
"book_id": "book123xyz",
"household_id": "household123xyz",
"name": "Smith Family Trust",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"tax_id": "12-3456789",
"additional_info": "<string>"
}{
"error": "invalid_json",
"detail": "<string>"
}{
"detail": "<string>"
}{
"error": "record_not_found",
"detail": "<string>"
}Authorizations
OAuth 2.0 Bearer Token from Clerk authentication
Response
successful
The trust ID
Example:
"abc123xyz"
The book ID
Example:
"book123xyz"
The household ID
Example:
"household123xyz"
Trust name
Example:
"Smith Family Trust"
When the trust was created
When the trust was last updated
Tax ID
Example:
"12-3456789"
Additional information
⌘I
Get a trust
